<?php
$image = 'recently_viewed_products_grid_content_widget';
?>

<?php if($this->isEnable()) : ?>
    <?php $products = $this->getProductCollection() ?>

    <?php if($products && $products->getSize()) : ?>
        <div class="content-heading">
            <h2 class="title"><?php echo $this->getTitle(); ?></h2>
            <p class="info"><?php echo $this->getTitleInfo(); ?></p>
        </div>

        <div class="block widget block-products-list grid">
            <div class="block-content">
                <div class="products-grid grid">
                    <ol class="product-items widget-product-grid">
                        <?php foreach ($products as  $product) : ?>
                            <li class="product-item">
                                <div class="product-item-info">
                                    <a href="<?php echo $product->getProductUrl() ?>"
                                       title="<?php echo $this->stripTags($product->getName(), null, true) ?>"
                                       class="product-item-link">
                                        <?php echo $this->getImage($product, $image)->toHtml(); ?>
                                    </a>
                                    <strong class="product-item-name">
                                        <a href="<?php echo $product->getProductUrl() ?>"
                                           title="<?php echo $this->stripTags($product->getName(), null, true) ?>"
                                           class="product-item-link">
                                            <?php echo $product->getName() ?>
                                        </a>
                                    </strong>
                                    <?php echo $this->getProductPriceHtml(
                                            $product,
                                            \Magento\Catalog\Pricing\Price\FinalPrice::PRICE_CODE,
                                            \Magento\Framework\Pricing\Render::ZONE_ITEM_LIST
                                    ) ?>
                                </div>
                            </li>
                        <?php endforeach; ?>
                    </ol>
                </div>
            </div>
        </div>
    <?php endif; ?>

<?php endif; ?>